Update an agent
- Base URL
-
https://{kibana_url}
- PUT /api/agent_builder/agents/{id}
Update an existing agent configuration. Use this endpoint to modify any aspect of the agent's behavior, appearance, or capabilities. To learn more about agents, refer to the agents documentation.
Required authorization
- Privileges agentBuilder:manageAgents
Request body
-
access_controlobject -
access_moderequired -
Technical Preview; added in 9.4.0. Access-control mode:
public(any privileged user can read/write),shared(any privileged user can read, only owner can write),private(only owner can read/write). Agents created without an access-control mode default toprivate. -
Values:
publicsharedprivate
Response
200
application/json
Indicates a successful response